## gsettings

gsettings — GSettings configuration tool

## Synopsis

`gsettings` get [option...] {`schema`} {`key`}

`gsettings` monitor [option...] {`schema`} {`key`}

`gsettings` writable [option...] {`schema`} {`key`}

`gsettings` set [option...] {`schema`} {`key`} {`value`}

`gsettings` help

## Description

gsettings offers a simple commandline interface to GSettings. It lets you get, set or monitor an individual key for changes.

The `schema` and `key` arguments are required to specify the schema id and the name of the key to operate on.

When setting a key, you also need specify a `value` The format for the value is that of a serialized GVariant, so e.g. a string must include explicit quotes: "'foo'". This format is also used when printing out values.

### Commands

`get` | Get the value of `key`. The value is printed out as a serialised GVariant.
`monitor` | Monitor `key` for changes and print the changed values. Monitoring will continue until the process is terminated.
`writable` | Find out whether `key` is writable.
`set` | Set the value of `key` to `value`. The value is specified as a serialised GVariant.
`help` | Print help and exit

### Options

`-h`, `--help` | Print help for the command and exit
`-p `path``, `--path=`path`` | The path for the schema. This option is only needed if the schema does not have a fixed path.